Show Posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.


Messages - Erich Schulman

Pages: [1] 2 3
1
Programming / Re: building Fast Editor Lite
« on: March 23, 2015, 01:57:56 am »
I used emx to be closer to the original build environment. I remember trying to compile some early to mid 1990s *nix sources in Linux with gcc 4.x and the results I got. One compiled but nothing actually worked. I gave up on the other.

I got nowhere at all with Watcom.
Code: [Select]
makefile(31): Error(E23): Extensions reversed in implicit rule
makefile(35): Error(E23): Extensions reversed in implicit rule
makefile(39): Error(E23): Extensions reversed in implicit rule
Error(E02): Make execution terminated

After a Google search of this error message, I suspect the original programmer(s) never actually tried to build on Watcom. Not knowing wmake, I can't debug or rewrite the makefile. It looks like OW is not being worked on any more, so I doubt it is worth investing a lot of time in learning this toolchain.

2
Programming / building Fast Editor Lite
« on: March 22, 2015, 10:29:13 pm »
I wanted to try some text editors other than E/EPM and vi clones. Fast Edit Lite seems to come in source only. It is on Hobbes at /pub/os2/apps/editors/fed0231s.zip although I actually got it somewhere else. There are no build instructions nor an explicit list of dependencies.

I lost the first error message but I overcame it by downloading /pub/os2/dev/unix/libregex-0_12.zip and adding its regex.h to my include directory.

Next error:
Code: [Select]
Build PCRE using EMX mode
..\source\bsearch.cpp
In file included from ../source/bsearch.cpp:14:
../include/_regex.h:2:28: xregex.h: No such file or directory
In file included from ../include/_search.h:12,
                 from ../source/bsearch.cpp:15:
../include/_regex.h:2:28: xregex.h: No such file or directory
In file included from ../source/bsearch.cpp:15:
../include/_search.h:77: parse error before `[' token
../include/_search.h:79: 'regex_t' is used as a type, but is not defined as a
   type.
make: *** [bsearch.obj] Error 1

I overcame it with these two files
http://www.opensource.apple.com/source/gcc/gcc-5484/include/xregex.h?txt
https://opensource.apple.com/source/gcc/gcc-5666.3/include/xregex2.h?txt
although they may not have been the ideal versions to use.

Next error:
Code: [Select]
..\source\parser.cpp
..\source\pipe.cpp
..\source\pmclip.cpp
..\source\profile.cpp
..\source\rx.cpp
..\source\search.cpp
..\source\sort.cpp
..\source\stddlg.cpp
..\source\vio.cpp
make: [common.lib] Error 1 (ignored)
common.lib
..\source\clip.cpp
clip.exe
ld: No such file or directory for libiberty.a
make: *** [clip.exe] Error 1

I had iberty* files, so I tried copying them to libiberty* filenames. Got past that error.

Next error:
Code: [Select]
Build PCRE using EMX mode
clip.exe
ld: No such file or directory for rexx.a
make: *** [clip.exe] Error 1

From the makefile it looks like this should have been built within fed's pcre package. There is no applicable r*.* in that directory. I also did a grep -i rexx on pcre/*.c and pcre/*.h but found nothing. The only thing I found that I could download was Regina REXX which provides a rexx.h. It doesn't seem like fed would have been made to require Regina when OS/2 already has REXX and fed wasn't made to be cross-platform. If they wanted to use Regina anyway, fine -- but they should have documented it.

How can I get past this rexx.a error?


3
Programming / Version control
« on: March 01, 2015, 01:30:35 am »
On Hobbes I could not find either Mercurial (the one I prefer) or Subversion. What options are available for Warp 4?

4
Hardware / Re: USB NICs
« on: February 26, 2015, 09:45:38 pm »

Ever thought about writing something up for everyone, you're installing Warp 4 right ? Os2notes.net needs some more content - http://os2notes.net/os2virtualbox.html

Greggory

There is already a good article at https://forums.virtualbox.org/viewtopic.php?f=30&t=63847

It talks about installing Fixpack 5 and only mentions 15 at the bottom. I don't think there's much point in installing 5 when it is just as easy (and still free) to install 15.

It also doesn't mention you need several more updates to be able to use the VirtualBox Guest Additions.

They also don't mention the initial 2G hard drive barrier. VirtualBox's support cleared that up for me. IBM1S506.ADD on the boot floppies has a 2G limit, so that is the most your C: can be. Perhaps that can be overcome by using the virtual SCSI controller instead of IDE. I replaced IBM1S506.ADD with Daniela's driver to overcome the limit. My C: is still 2G but D: and E: are 15G each. If you are going to use virtual SCSI, VirtualBox's support says you must choose BusLogic. I have CD drives on both virtual controllers.

VirtualBox's floppy support doesn't work with anything but 1.44M disks. Since you can't use XDF, Create Utility Diskettes is useless. I also tried dual floppies but B: would not work.

5
Hardware / Re: USB NICs
« on: February 26, 2015, 09:22:05 pm »
I want to try out a TCP/IP-based mesh network. It can use the Internet but does not have to. It requires a dedicated (and compatible) Linksys or Ubiquiti wireless router. I have a Linksys WRT54GL 1.1 and appropriate firmware. Using the mesh in the USA requires a FCC license which I do have.

One problem is the mesh is designed to use the 10.* IP space which is what my LAN uses. My intention was to unplug the VirtualBox NIC and connect the USB NIC when I want to use the mesh. With the USB NIC being the guest's only active NIC, it can use 10.* without the mesh and he LAN coming into contact with each other.

I have found the RAM allocation of all running guests must total no more than 1.5G or it will adversely affect the host's performance. I can use my XP32 guest (768M) and still have more than enough room for OS/2 (128M). Today's lightweight Linux distros need more than that. I couldn't find any good talker server options, so I was going to use TinyMUSH or PerlMUD. (If I did this in Linux I might use TinyMUX instead). I have to be careful in my choice and configuration of server because it is unlawful to use any encryption. MU* servers usually use plain telnet which would be ok.

But I am going to need driver support for this idea to work.

6
Hardware / Re: USB NICs
« on: February 26, 2015, 04:15:08 pm »
Then it looks like one thing I wanted to do in OS/2 will not be possible  :(

7
Hardware / USB NICs
« on: February 26, 2015, 03:08:26 am »
Are any 10/100 USB NICs supported in OS/2 4.50 and able to work through VirtualBox's USB controller? I already have the base USB drivers (usbhcd197.zip). Would I need a USB networking driver in addition to the driver for the NIC?

8
Applications / Re: AOOo 4111GA does not start
« on: February 23, 2015, 03:55:12 am »
Did you also update os2ldr? If not you probably should. It should be in the same package.

Yes. The readme did not mention any conditions under which I should not.

The 14.85_w4 kernel package has a CLOCK01.SYS than the one that came with FP15 and 14.62_w4, but the 104a_uni package did not have a CLOCK01.SYS. Which should I use, if it even matters?

My CPU is a i7 (motherboard chipset is Intel x58), but I have not yet tried to find out what OS/2 sees it as. Would OS/2 think it is just a very fast Pentium 3?

As for a OS/2 browser, I now have the Mozilla trio going (though Netscape, Opera, and WebExplorer are still installed).

9
Applications / Re: AOOo 4111GA does not start
« on: February 22, 2015, 11:50:33 pm »
I went to the kernel page that David McKenna suggested where I found two choices.

The first did not mention a version number, but it turned out to be 14.85_w4. Same svxcore.dll problem as before.

Then I tried 104a_uni, eschewing the _smp per Dave Yeo's post. This is (for now) without dllbase. First attempt, the splash screen showed up and the frame of the new user window appeared, but then it locked up. Inserting a CTRL-ALT-DEL did nothing so I had to reset the guest. I gave it another try once back at the desktop. And this time it worked  :o And this was with guest RAM set back to 128MB.

Once OS/2 has been in use for a while I will try to launch it again to get an idea of whether dllbase is still needed.

Since this may be the last kernel I can use, is it considered a fairly stable one?

10
Applications / Re: AOOo 4111GA does not start
« on: February 21, 2015, 10:06:56 pm »
Quote
There are others than more clever people can probably suggest.

Not any more clever, but the most effective thing, that I know of, is to add "dllbasing=off" (without the quotes) near the top of your CONFIG.SYS. It will slow the system slightly (you will never notice, unless you are using an old 486 SX), but it allows the system to make much more efficient use of shared memory space (which is usually what the problem is).

I made that the first line and tried AOO immediately after the desktop appeared. Still the same error.

11
Applications / Re: AOOo 4111GA does not start
« on: February 21, 2015, 01:07:12 am »
I have highmem.exe but no extras directory (I used PMSEEK on all fixed disks to be sure). The readme says all that is required to activate the feature is to run highmem. But it also says doing so with my kernel version will trap the system.

I tried bumping my guest RAM up to 768MB. It still made no difference. I don't like giving a guest over 1GB due to available RAM on the host.

12
Applications / Re: AOOo 4111GA does not start
« on: February 20, 2015, 10:17:21 pm »
Erich,

  As Andi B. notes, maybe you are using up all your shared memory? If you have the version 14.106 OS/2 kernel, you can try loading all the OpenOffice dll's into high memory using the script in the 'Extras' folder.

I have 14.062_W4.

I tried increasing my guest's RAM from 128MB to 384MB, and it still made no difference.

13
Applications / Re: AOOo 4111GA does not start
« on: February 20, 2015, 10:13:34 pm »

I'm not sure if AOO4 requires the Innotek font engine at all but if it does it will be the 2.40 release.

It does. Dave Yeo said so based on my chkdll32 errors, and installing it removed most of the errors. I did go with 2.40 per Ian Manners's suggestion.

14
Applications / Re: AOOo 4111GA does not start
« on: February 20, 2015, 03:54:25 pm »
Erich,

  EDITENG.dll and XO.dll are both part of the OpenOffice package and should be located in your OpenOffice.4\program directory. If they are missing then something went wrong with your install. They are also dependent on gcc1.dll, gcc473.dll and libc066.dll. There is a great little app called PMDLL (at hobbes.nmsu.edu) that you can use to figure out these kind of things...

I checked and they are present. I ran chkdll32 against each .dll and no error was reported. I still got the same errors when trying to run it against svxcore.dll or trying to start the application.

I tried adding D:\Apps\ApacheOpenOffice.4\program to LIBPATH, but it made no difference. At this point I tried PMDLL, but I could not find anything wrong.


15
Applications / Re: AOOo 4111GA does not start
« on: February 20, 2015, 08:28:44 am »
That got me closer. I still have 2 failures.

Code: [Select]
Loading DLL 'editeng' --> NOT loaded!
Unable to load DLL 'editeng'.  DosLoadModule returned: 8
OS/2 reports 'EDITENG' contributed to the failure.
Loading DLL 'xo' --> NOT loaded!
Unable to load DLL 'xo'.  DosLoadModule returned: 8
OS/2 reports 'XO' contributed to the failure.

I found nothing on Hobbes that would seem to fit either.

I changed the registry settings to 0 for each Mozilla application. Is there a way to confirm they are indeed using FT/2 rather than IFE?

Pages: [1] 2 3